> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Add Column Lineage Values > Add lineage to a specified column ## OpenAPI ````json PUT /api/v1/DataSteward/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns/{columnId}/lineage { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/DataSteward/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns/{columnId}/lineage": { "put": { "tags": [ "Data Steward" ], "summary": "Add Column Lineage Values", "description": "Add lineage to a specified column", "parameters": [ { "name": "dataSourceId", "in": "path", "description": "Id of the data source of the column having its lineage defined", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "schemaId", "in": "path", "description": "Id of the schema of the column having its lineage defined", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "tableId", "in": "path", "description": "Id of the table of the column having its lineage defined", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "columnId", "in": "path", "description": "Id of the column having its lineage defined", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Lineage target object with a list of associated source objects", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.LineageTargetApiInput" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.LineageTargetApiInput" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.LineageTargetApiInput" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.LineageTargetApiInput" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.SuccessResponse" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.LineageTargetApiInput": { "title": "LineageTargetApiInput", "type": "object", "properties": { "lineageTransformation": { "type": "string", "description": "Transformation information about the lineage", "nullable": true }, "lineageNotes": { "type": "string", "description": "Notes about the lineage", "nullable": true }, "sources": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.LineageSourceUpdate" }, "description": "List of sources to be added as part of the new lineage" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.SuccessResponse": { "title": "SuccessResponse", "type": "object", "properties": { "message": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.LineageSourceUpdate": { "title": "LineageSourceUpdate", "type": "object", "properties": { "sourceObjectId": { "type": "integer", "description": "The ID of the object that the source is pointing to", "format": "int32" }, "sourceMetaDataSourceId": { "type": "integer", "description": "the Data Source ID of the source", "format": "int32", "nullable": true } }, "additionalProperties": false } } } } ````